Skip to main content
GET
/
api
/
public
/
v2
/
dataset-groups
/
{dataset_group_id}
/
external-ids
List Dataset Group External IDs
curl --request GET \
  --url https://api.promptlayer.com/api/public/v2/dataset-groups/{dataset_group_id}/external-ids \
  --header 'X-API-KEY: <api-key>'
{
  "success": true,
  "external_ids": [
    {
      "source": "<string>",
      "external_id": "<string>"
    }
  ]
}
Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
List all external ID mappings attached to a dataset group.

Authorizations

X-API-KEY
string
header
required

Path Parameters

dataset_group_id
integer
required

Response

External IDs for the entity

success
boolean
default:true
required
external_ids
ExternalId · object[]
required